<?php

namespace Opencart\System\Library\Extension\Chatbro\Chatbroapp\Settings;


use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Settings\CbroSettings;
use Iterator;

class CbroSettingsIterator implements Iterator
{
  private $keys;
  private $pos;

  public function __construct($keys)
  {
    $this->keys = $keys;
    $this->pos = 0;
  }

  public function rewind():void
  {
    $this->pos = 0;
  }

  public function current():mixed
  {
    return CbroSettings::get_setting($this->keys[$this->pos]);
  }

  public function key():mixed
  {
    return $this->keys[$this->pos];
  }

  public function next():void
  {
    ++$this->pos;
  }

  public function valid():bool
  {
    return isset($this->keys[$this->pos]);
  }
}